<template>
  <q-layout view="lHh Lpr lFf" id="layout">
    <q-header elevated>
      <q-toolbar>
        <q-btn
          flat
          dense
          round
          icon="menu"
          aria-label="Menu"
          @click="toggleLeftDrawer"
        />

        <q-toolbar-title> Ku sobie </q-toolbar-title>

        <div style="position: relative; left: -100px">Portal randkowy</div>
        <div class="buttons-wrapper">
          <q-btn
            @click="toggleLoginDialog"
            color="white"
            text-color="black"
            label="Loguj"
          />
          <q-btn
            @click="toggleRegisterDialog"
            color="white"
            text-color="black"
            label="Rejestruj się"
          />
        </div>
      </q-toolbar>
    </q-header>
    <q-drawer v-model="leftDrawerOpen" show-if-above bordered>
      <q-list>
        <q-item-label header> Menu </q-item-label>

        <EssentialLink
          v-for="link in linksList"
          :key="link.title"
          v-bind="link"
        />
      </q-list>
    </q-drawer>

    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>

<script setup lang="ts">
import { ref } from 'vue';
import EssentialLink, {
  EssentialLinkProps,
} from '../components/EssentialLink.vue';

defineOptions({
  name: 'ProfileLayout',
});

const linksList: EssentialLinkProps[] = [
  {
    title: 'Szukaj miłości',
    icon: 'fa-home',
    link: '/#/',
  },
  {
    title: 'Historie',
    icon: 'fa-solid fa-heart',
    link: '/#/stories',
  },
  {
    title: 'Pisali o nas',
    icon: 'fa-regular fa-heart',
    link: '/#/about',
  },
];

const leftDrawerOpen = ref<boolean>(false);
const loginDialog = ref<boolean>(false);
const registerDialog = ref<boolean>(false);
function toggleLeftDrawer() {
  leftDrawerOpen.value = !leftDrawerOpen.value;
}

function toggleLoginDialog() {
  loginDialog.value = !loginDialog.value;
}

function toggleRegisterDialog() {
  registerDialog.value = !registerDialog.value;
}
</script>
<style lang="scss">
q-layout {
  color: rgba(0, 0, 0, 0.87);

  .q-layout__section--marginal {
    background: rgba(200, 200, 200, 0.9) !important;
  }
}

.buttons-wrapper {
  width: 10%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
}
</style>
